=== debian/changelog ===
debian-installer (20060711ubuntu18) edgy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 21 Oct 2006 00:06:19 +0100

debian-installer (20060711ubuntu17) edgy; urgency=low

  * No-change rebuild to pick up new cdebconf-keystep and localechooser.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Oct 2006 14:42:06 +0100

debian-installer (20060711ubuntu16) edgy; urgency=low

  * No-change rebuild to pick up the new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Oct 2006 09:22:35 +0100

debian-installer (20060711ubuntu15) edgy; urgency=low

  * Replace cdebconf-newt-entropy with cdebconf-newt-detect-keys in
    EXTRAUDEBS; cdebconf-newt-entropy is in universe for edgy.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 13:54:36 +0100

debian-installer (20060711ubuntu14) edgy; urgency=low

  * Add/update help text translations from Rosetta, modified to account for
    some strings that are currently translatable but shouldn't be: Bengali,
    German, Spanish, Basque, Finnish, French, Galician, Hungarian,
    Indonesian, Italian, Georgian, Korean, Kurdish, Kirghiz, Marathi, Malay,
    Dutch, Occitan, Polish, Portuguese, Portuguese (Brazil), Russian,
    Slovak, Swedish, Turkish, Vietnamese, Chinese (China).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Oct 2006 10:28:51 +0100

debian-installer (20060711ubuntu13) edgy; urgency=low

  * Move to 2.6.17-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Sep 2006 21:59:11 +0100

debian-installer (20060711ubuntu12) edgy; urgency=low

  * build/boot/x86/help.xml: When building gfxboot help for live CDs,
    replace F4 with a stub page discussing (from 40,000 feet) how to rescue
    a broken system (closes: Malone #47570).
  * Move to 2.6.17-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Sep 2006 10:55:52 +0100

debian-installer (20060711ubuntu11) edgy; urgency=low

  * Move to 2.6.17-8 kernels.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Sep 2006 01:16:51 +1000

debian-installer (20060711ubuntu10) edgy; urgency=low

  * build/config/i386/netboot.cfg: Bump FLOPPY_SIZE to 16384.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Sep 2006 12:49:26 +0100

debian-installer (20060711ubuntu9) edgy; urgency=low

  * Switch from kbd-chooser to console-setup. Adjust build/Makefile to
    include /usr/share/console-setup-mini/*.tree in all.utf.
  * Move to 2.6.17-7 kernels. Adapt to new image names (amd64-generic ->
    generic, itanium-smp -> itanium).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Sep 2006 19:05:04 +0100

debian-installer (20060711ubuntu8) edgy; urgency=low

  * No-change rebuild to pick up new components (no-more-devfs).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  1 Sep 2006 16:31:41 +0100

debian-installer (20060711ubuntu7) edgy; urgency=low

  * Remove -d from mkvmlinuz arguments so that we can build a vmlinuz again
    (closes: Malone #58041).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Aug 2006 21:13:53 +0100

debian-installer (20060711ubuntu6) edgy; urgency=low

  * Move to 2.6.17-6 kernels.
  * Restore use of nic-firmware-* again.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 16 Aug 2006 19:34:29 +1000

debian-installer (20060711ubuntu5) edgy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Jul 2006 14:56:39 +0100

debian-installer (20060711ubuntu4) edgy; urgency=low

  * Drop nic-firmware-* temporarily, since it seems to have disappeared (see
    Malone #53141).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 16 Jul 2006 14:46:24 +0100

debian-installer (20060711ubuntu3) edgy; urgency=low

  * Move to 2.6.17-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 14 Jul 2006 16:12:55 +0100

debian-installer (20060711ubuntu2) edgy; urgency=low

  * Bump size of amd64 netboot boot.img to 16000.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Jul 2006 10:32:23 +0100

debian-installer (20060711ubuntu1) edgy; urgency=low

  * Resynchronise with Debian, based on Subversion trunk as of 20060711
    (20060304, the last release, predates a lot of udeb dependency fixes).
  * Set default suite to edgy.
  * Move to 2.6.17-4 kernels.
  * Disable the graphical installer build targets for now; we'll wait for
    this to mature a bit more in Debian.
  * Fix build/boot/x86/po4a.cfg so that po4a can update all the .po files.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Jul 2006 11:11:17 +0100

debian-installer (20060711) UNRELEASED; urgency=low

  [ Martin Michlmayr ]
  * Make sure the Netwinder image doesn't exceed NeTTrom's size limit.
    Closes: #345319.
  * Include essential kernel modules on the Netwinder cdrom initrd.
  * Fix a typo in the Cobalt preseed file.
  * Rename sb1-swarm-bn to sb1-bcm91250a for consistency.
  * Add 2.6 images on mips and mipel.
  * Add support for the Broadcom BCM91480B evaluation board (aka "BigSur").
  * Add support for the SGI O2 (IP32) machines (with R5000 CPU).
  * Put beep-udeb on the NSLU2 initrd so we can notify people when SSH is
    ready.
  * Switch to 2.6.16 kernel on arm.
  * Put the input-modules udeb on the NSLU2 image so the beeper will work.
  * Remove (incomplete) LART and BAST support.
  * Remove 2.4 images on arm.

  [ Joey Hess ]
  * Split off PRESEED_SUITE from PRESEED, use this for the suite setting
    for development builds, and no longer unset PRESEED for release builds.
    Should fix cobalt issues.
  * Audited the x86 kernel parameter docs in the boot screens vs the 2.6.15
    kernel. Removed documentation for parameters that are not listed in the
    kernel's kernel-parameters.txt, and to a certian extent read the source
    to find places where kernel-parameters.txt is wrong, and removed those
    too. It's probably better to not document things than to document them
    incorrectly.
  * Modified kernel parameter docs to use the module.param=value syntax

