## debian-installer 20061102ubuntu26

=== debian/changelog ===
debian-installer (20061102ubuntu26) feisty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 15 Apr 2007 06:08:53 +0100

debian-installer (20061102ubuntu25) feisty; urgency=low

  * Move to 2.6.20-15 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Apr 2007 14:05:13 +0100

debian-installer (20061102ubuntu24) feisty; urgency=low

  * Add input-modules to sparc cdrom images (LP: #99790).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Apr 2007 20:15:54 +0100

debian-installer (20061102ubuntu23) feisty; urgency=low

  * Remove grepmap-udeb from all images, as it's no longer in the archive.
  * Include block-modules on powerpc cdrom images, as ps3_storage is there
    and needed to find the CD drive on PS3 systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Apr 2007 03:52:10 +0100

debian-installer (20061102ubuntu22) feisty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Apr 2007 23:28:23 +0100

debian-installer (20061102ubuntu21) feisty; urgency=low

  * Update help text translations from Rosetta.
  * Move to 2.6.20-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 Apr 2007 13:18:35 +0100

debian-installer (20061102ubuntu20) feisty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Mar 2007 11:47:07 +0100

debian-installer (20061102ubuntu19) feisty; urgency=low

  * Add scsi-firmware to cdrom and hd-media images.
  * Update Canonical copyright dates.
  * Move to 2.6.20-13 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Mar 2007 22:19:20 +0100

debian-installer (20061102ubuntu18) feisty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Mar 2007 22:55:15 +0000

debian-installer (20061102ubuntu17) feisty; urgency=low

  * Move to 2.6.20-12 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 18 Mar 2007 11:30:03 +0000

debian-installer (20061102ubuntu16) feisty; urgency=low

  * Move to 2.6.20-11 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 17 Mar 2007 18:45:24 +0000

debian-installer (20061102ubuntu15) feisty; urgency=low

  * Move to 2.6.20-9 kernels.
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Feb 2007 19:33:12 +0000

debian-installer (20061102ubuntu14) feisty; urgency=low

  * Move to 2.6.20-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Feb 2007 11:54:52 +0000

debian-installer (20061102ubuntu13) feisty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Jan 2007 22:51:55 +0000

debian-installer (20061102ubuntu12) feisty; urgency=low

  * doc/devel/menu-item-numbers.txt: kbd-chooser -> console-setup.
  * build/boot/x86/help.xml: Mark several items on the F8 help page as being
    for syslinux only.
  * Move to 2.6.20-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Jan 2007 09:00:43 +0000

debian-installer (20061102ubuntu11) feisty; urgency=low

  * No-change rebuild to pick up new archdetect for Intel Mac support.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jan 2007 08:27:23 +0000

debian-installer (20061102ubuntu10) feisty; urgency=low

  * Move fs-core-modules hack so everybody gets them in the cdrom initrd.
    Workaround for kernel bug, to be removed post-feisty.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue,  9 Jan 2007 16:25:47 +0100

debian-installer (20061102ubuntu9) feisty; urgency=low

  * Add fs-core-modules to sparc/cdrom images.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 09 Jan 2007 10:05:00 +0100

debian-installer (20061102ubuntu8) feisty; urgency=low
  
  * Move to 2.6.20-5 kernels.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 08 Jan 2007 06:11:43 +0100

debian-installer (20061102ubuntu7) feisty; urgency=low

  * Move to 2.6.20-2 kernels.
  * Add block-modules and message-modules to hd-media images.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 18 Dec 2006 17:02:03 +0000

debian-installer (20061102ubuntu6) feisty; urgency=low

  * Switch i386 builds to the -generic kernel flavour.
  * Add a new netboot/386 build for i386 that uses the -386 kernel flavour.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Dec 2006 12:32:26 +0000

debian-installer (20061102ubuntu5) feisty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  4 Dec 2006 13:46:19 +0000

debian-installer (20061102ubuntu4) feisty; urgency=low

  * Make build/util/help-to-gfxboot.py executable again.
  * Include pata-modules in all images including ide-modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat,  2 Dec 2006 06:46:48 +0000

debian-installer (20061102ubuntu3) feisty; urgency=low

  * build/config/sparc.cfg: Fix KERNELVERSION/KERNELNAME merge breakage.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Nov 2006 21:09:07 +0000

debian-installer (20061102ubuntu2) feisty; urgency=low

  * Make nfs-modules optional, as fs-secondary-modules is a bit much for the
    netboot images (filed #73910).
  * Make cdrom-modules optional, as it has gone AWOL (filed #73911).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Nov 2006 13:52:46 +0000

debian-installer (20061102ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding of various kinds.
    - Use Ubuntu kernels. Various tweaks for different udeb splits.
    - Fetch distribution name and version number from lsb_release.
    - Use the full version number in image directories.
    - Build-depend on belocs-locales-bin.
    - Various boot screen text adjustments.
    - Add server boot options.
    - Add memtest boot option.
    - Add live CD boot screens.
    - Adjust memory size recommendations.
    - Document pci=noacpi.
    - Add translatable boot screen text for gfxboot.

