=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Alastair McKinstry <mckinstry@computer.org>, Joshua Kwan <joshk@triplehelix.org>, Frans Pop <fjp@debian.org>
 Standards-Version: 3.6.2
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, dpkg (>= 1.13.9), grep-dctrl, bc, debiandoc-sgml, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, belocs-locales-bin, glibc-pic, libslang2-pic, libnewt-pic [!mipsel], libnewt-dev [mipsel], cramfsprogs [powerpc ia64 mips mipsel arm armeb], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), mkisofs, genromfs [sparc], hfsutils [powerpc], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb], slugimage [arm armeb], syslinux (>= 2.11-0.1) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 powerpc amd64 alpha hppa ia64 sparc mips mipsel arm armeb], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], mkvmlinuz [powerpc]
+Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, dpkg (>= 1.13.9), grep-dctrl, bc, debiandoc-sgml, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, belocs-locales-bin, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic [!mipsel], libnewt-dev [mipsel], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.15), mkisofs, genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb], slugimage (>= 0.10+r58-6) [arm armeb], nwutil [arm], syslinux (>= 2.11-0.1) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], apex-nslu2 [arm armeb], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 arm armeb amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl-beta (>= 1:1.91+0.20030910cvs-2) [i386], mkvmlinuz [powerpc ppc64], openssl [arm]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -43,7 +45,8 @@
 # Library build dependencies:
 #	- glibc-pic
 #		For library reduction.
-#	- libslang2-pic
+#	- libslang2-pic (>= 2.0.6-4)
+#		Make dependency versioned temporarily to make sure we avoid #392942
 #	- libnewt-pic [!mipsel]
 #		Rather than use slang and newt udebs, reduced versions of
 #		the libraries are put onto images to save space.
@@ -52,7 +55,7 @@
 #		#329733. See also Build-Conflicts above.
 #
 # Filesystem tools:
-#	- cramfsprogs [powerpc ia64 mips mipsel arm armeb]
+#	- cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb]
 #		For arches that use cramfs initrds.
 #	- genext2fs (>= 1.3-7.1)
 #		For creating ext2 filesystems without being root.
@@ -69,7 +72,7 @@
 #	- genromfs [sparc]
 #		Used for creating sparc floppies (which are not built by
 #		default.)
-#	- hfsutils [powerpc]
+#	- hfsutils [powerpc ppc64]
 #		For making bootable HFS USB sticks for powerpc.
 #	- dosfstools [i386 ia64 m68k amd64]
 #		For creating FAT filesystems with mkfs.msdos.
@@ -81,8 +84,10 @@
 #	- devio [arm armeb]
 #		Tool to read and write from block devices, used to byteswap
 #		kernels and add nslu2 boot magic.
-#	- slugimage [arm armeb]
+#	- slugimage (>= 0.10+r58-6) [arm armeb]
 #		For building nslu2 firmware images.
+#	- nwutil [arm]
+#		For building netwinder netinst images.
 #
 # Boot loaders:
 #	On many arches boot loaders are copied onto or ran on the boot
@@ -92,7 +97,7 @@
 #		There were some crippling bugs in version 2.10.
 #	- palo [hppa]
 #	- elilo [ia64]
-#	- yaboot [powerpc]
+#	- yaboot [powerpc ppc64]
 #		For all our powerpc boot needs. Well, not really.
 #	- aboot (>= 0.9b-2) [alpha]
 #		A previous version didn't have netabootwrap.
@@ -121,7 +126,8 @@
 #		to a warning when it fails.
 #	- amiboot [m68k]
 #		Bootloader for m68k/amiga machines.
-#
+#	- apex-nslu2 [arm armeb]
+#		2nd stage bootloader for Linksys NSLU2.
 # Architecture specific build dependencies:
 #	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
 #		For todos, used on files that need to be accessible from
@@ -133,7 +139,7 @@
 #	- python [i386 amd64]
 #		For building gfxboot help texts.
 #
-#	- module-init-tools [i386 powerpc amd64 alpha hppa ia64 sparc mips mipsel arm armeb]
+#	- module-init-tools [i386 arm armeb amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc]
 #		depmod for 2.6 kernels on the arches that support 2.6.
 #
 #	- bf-utf-source [!s390 !s390x]
@@ -143,9 +149,12 @@
 #		i386 uses upx to compress kernels and other binaries
 #		The version is the first one that worked well enough for
 #		us.
-#	- mkvmlinuz [powerpc]
+#	- mkvmlinuz [powerpc ppc64]
 #		Used to make powerpc images that can boot direct from
 #		firmware w/o using a boot loader.
+#	- openssl [arm]
+#		Used to decrypt a firmware image so a device will accept
+#		it.
 
 Package: debian-installer
 Architecture: any
