## debian-installer 20070308

=== debian/changelog ===
debian-installer (20070308) unstable; urgency=low

  [ Thiemo Seufer ]
  * Add Qemu mips/mipsel images, thanks Aurelien Jarno.

  [ Sylvain Ferriol ]
  * Add keyboard usb packages in i386 root floppy and move all net packages
    to i386 net-drivers-1 floppy.

  [ Frans Pop ]
  * Switch font used for Dzongkha in g-i to ttf-tmuni.

  [ Martin Michlmayr ]
  * Provide a properly encrypted firmware image for Thecus N2100 so the
    firmware upgrade process will recognize it.  Thanks to Kurt Roeckx
    for help with OpenSSL.
  * Remove incomplete armeb support.
  * Remove obsolete arm/nslu2 config files.
  * Switch arm, mips and mipsel to 2.6.18-2.
  * Switch arm, mips and mipsel to 2.6.18-3.
  * n2100: Add support for Evesham's M-Box.
  * Put in a workaround to support building with both apex 1.4.7 and the
    new 1.4.14 which changes the name of the apex binary; closes: #409747

  [ Joey Hess ]
  * Stop using the system status file; generate a dummy status file for apt
    containing libc6 and libnewt (the only two debs udebs still depend on).
  * dhcp3-client-udeb is for some reason Standard priority, so gets included
    in monolithic image builds (and breaks the build). Exclude it from the
    monolithic images until its priority is fixed.
  * The i386 boot floppy will be too big with the 2.6.18 kernel, so drop
    usb input modules from it. USB keyboard support didn't work before
    anyway AFAICS, since usb-discover was not included.
  * With 2.6.18, nic-extra-modules gets too big to fit on the i386
    net-drivers-1 floppy with nic-modules. Move nic-extra-modules to
    net-drivers-2 and reorg to fit.
  * Don't exclude usb drivers from driver floppies; the root floppy does not
    currently load them.

  [ Sven Luther ]
  * Switch powerpc to 2.6.18-2.
  * Add a prep flavour.
  * Add fancontrol modules to cdrom and netboot images for powerpc64.

  [ Thiemo Seufer ]
  * Fix tftpboot.sh for mips/r5k-ip32.

  [ dann frazier ]
  * Switch ia64 to initramfs.
  * Make the default boot option on ia64 "Install" for consistency with x86.
  * Add rescue boot option on ia64.

  [ Frans Pop ]
  * Switch i386 to 2.6.18-3.
  * Apply patch from Alex Owen to fix serial console support for grub in the
    installed system (#224641).

  [ Joey Hess ]
  * Add time to image build date, and set build date to UTC (was local
    time before).
  * Etch will be Debian 4.0.

  [ Stephen R. Marenka ]
  * Add preliminary network-console support to m68k.
  * Switch m68k to 2.6.18-3.
  * Add back the atari subarch and the floppy initrd.
  * Add emile to build-deps.

  [ Steve Langasek ]
  * Switch alpha to 2.6.18-3.  Now with support for TITAN systems, huzzah!

  [ Colin Watson ]
  * Switch powerpc to 2.6.18-3.
  * Document new GET_MAX_PRIMARY command in partman-base 99.

  [ Dann Frazier ]
  * Switch ia64 to 2.6.18-3.

  [ Frans Pop ]
  * Switch amd64, hppa, sparc and s/390 to 2.6.18-3.
  * On amd64 we temporarily need to include /lib/libgcc_s.so.1 in g-i initrds
    to work around #373253 until upstream can remove pthread_cancel() calls in
    directfb. Because of the Etch release this is implemented for now by
    setting EXTRAFILES in the relevant files under config/amd64.
  * daily-build: keep file attributes between build targets if fakeroot is
    used. Closes: #401603.
  * Raise minimal memory requirement in boot help screens on x86 to 32MB.
    Closes: #402276.
  * Makefile: don't strip "Choices-C" fields from templates if DROP_LANG is set
    (see #400263).

  [ Joey Hess ]
  * Copy the keyring from debian-archive-keyring into images (was using the
    old keyring from apt). Build-depend on a current version of
    debian-archive-keyring for good measure.
  * Fix stripping of kernel modules by Makefile, was broken due to bogus find
    command.
  * /etc/apt/trusted.gpg can't be guaranteed to be readable, and the udeb
    download will fail to verify if it's not. Avoid this by making apt use
    KEYRING.

  [ dann frazier ]
  * Add scsi-common-modules to pkg-lists/cdrom/ia64.cfg. sym53c8xx.ko is in
    this package, which is needed for scsi cd-roms in machines like the
    HP rx7620 (closes: #403895)
  * Add relocatable flag to elilo.conf for ia64 - this is required when booting
    on Altix systems, though it cannot be used with 2.4 kernels

  [ Joey Hess ]
  * Remove udev-udeb from the ADS cf image.
  * Rename gtk-miniiso targets to netboot-gtk, and place the resulting files
    under the netboot/gtk/ directory. Add full set of netboot files for the
    gtk image, not just the mini.iso. The gtk-miniiso directories are kept
    working via symlinks for now, so that we won't have to update the docs so
    late in the release process. Closes: #408535

  [ Frans Pop ]
  * Update general copyright notices for Debian and Debian Installer to 2007.
  * Switch all architectures to 2.6.18-4.

  [ Martin Michlmayr ]
  * Update mips/mipsel boot configs to refer to 2.6.18-4.

  [ Joey Hess ]
  * Add support for armel. Symlink most arm configs to avoid duplication.
  * Add libgcc1 to the udeb exclude list, and add a dummy item for it to the
    status file. This supports armel, which already uses glibc 2.5, and will
    be needed later when other arches switch to it.

  [ Gordon Farquharson ]
  * Enable users to select a timezone on arm/ixp4xx, arm/iop32, and
    mipsel/cobalt. Closes: #403195.
  * Include the IXP4xx Ethernet driver on the initrd now that oldsys-preseed
    will choose the correct device depending on whether the NPE microcode
    is available.

  [ Steve Langasek ]
  * Add fb-modules to the initrds on alpha, now that matroxfb has been
    moved to a separate udeb; fixes support for installs on TGA-using
    systems.  Closes: #404485.

  [ dann frazier ]
  * [ia64] Fix elilo boot screen formatting - the addition of the time
    to the $BUILD_DATE variable was causing an ugly line wrap

  [ Joey Hess ]
  * Document use of generic.all_generic_ide=1 in f6.txt.

  [ Frans Pop ]

